## EPortEntry EPortEntry |

## Functions

GtkWidget * | e_port_entry_new ()
void | e_port_entry_set_camel_entries ()
gint | e_port_entry_get_port ()
void | e_port_entry_set_port ()
gboolean | e_port_entry_is_valid ()
CamelNetworkSecurityMethod | e_port_entry_get_security_method ()
void | e_port_entry_set_security_method ()
void | e_port_entry_activate_secured_port ()
void | e_port_entry_activate_nonsecured_port ()

## Description

## Functions

### e_port_entry_new ()

    GtkWidget *
    e_port_entry_new (void);

`e_port_entry_new` is deprecated and should not be used in newly-written code.

### e_port_entry_set_camel_entries ()

    void
    e_port_entry_set_camel_entries (EPortEntry *port_entry,
                                    CamelProviderPortEntry *entries);

`e_port_entry_set_camel_entries` is deprecated and should not be used in newly-written code.

### e_port_entry_get_port ()

    gint
    e_port_entry_get_port (EPortEntry *port_entry);

`e_port_entry_get_port` is deprecated and should not be used in newly-written code.

### e_port_entry_set_port ()

    void
    e_port_entry_set_port (EPortEntry *port_entry,
                           gint port);

`e_port_entry_set_port` is deprecated and should not be used in newly-written code.

### e_port_entry_is_valid ()

    gboolean
    e_port_entry_is_valid (EPortEntry *port_entry);

`e_port_entry_is_valid` is deprecated and should not be used in newly-written code.

### e_port_entry_get_security_method ()

    CamelNetworkSecurityMethod
    e_port_entry_get_security_method (EPortEntry *port_entry);

`e_port_entry_get_security_method` is deprecated and should not be used in newly-written code.

### e_port_entry_set_security_method ()

    void
    e_port_entry_set_security_method (EPortEntry *port_entry,
                                      CamelNetworkSecurityMethod method);

`e_port_entry_set_security_method` is deprecated and should not be used in newly-written code.

### e_port_entry_activate_secured_port ()

    void
    e_port_entry_activate_secured_port (EPortEntry *port_entry,
                                        gint index);

`e_port_entry_activate_secured_port` is deprecated and should not be used in newly-written code.

### e_port_entry_activate_nonsecured_port ()

    void
    e_port_entry_activate_nonsecured_port (EPortEntry *port_entry,
                                           gint index);

`e_port_entry_activate_nonsecured_port` is deprecated and should not be used in newly-written code.

## Types and Values